use std::net::TcpStream;

static mut NEXT_CLIENT_ID: u8 = 0;

pub struct Client {
    pub id: u8,
    pub stream: TcpStream
}

impl Client {
    pub fn new(stream: TcpStream) -> Self {
        unsafe {
            let id = NEXT_CLIENT_ID;
            NEXT_CLIENT_ID += 1;

            Client {
                id,
                stream,
            }
        }
    }
}